# FTXUI: TableSelection Class Reference

Loading...
Searching...
No Matches
TableSelection Class Reference

`#include <table.hpp>`

## Public Member Functions

void | Decorate (Decorator)
| Apply the `decorator` to the selection. This decorate both the cells, the lines and the corners.
void | DecorateAlternateRow (Decorator, int modulo=2, int shift=0)
| Apply the `decorator` to the selection. This decorate only the lines modulo `modulo` with a shift of `shift`.
void | DecorateAlternateColumn (Decorator, int modulo=2, int shift=0)
| Apply the `decorator` to the selection. This decorate only the lines modulo `modulo` with a shift of `shift`.
void | DecorateCells (Decorator)
| Apply the `decorator` to the selection.
void | DecorateCellsAlternateColumn (Decorator, int modulo=2, int shift=0)
| Apply the `decorator` to the selection. This decorate only the corners modulo `modulo` with a shift of `shift`.
void | DecorateCellsAlternateRow (Decorator, int modulo=2, int shift=0)
| Apply the `decorator` to the selection. This decorate only the corners modulo `modulo` with a shift of `shift`.
void | Border (BorderStyle border=LIGHT)
| Apply a `border` around the selection.
void | BorderLeft (BorderStyle border=LIGHT)
| Draw some separator lines to the left side of the selection.
void | BorderRight (BorderStyle border=LIGHT)
| Draw some separator lines to the right side of the selection.
void | BorderTop (BorderStyle border=LIGHT)
| Draw some separator lines to the top side of the selection.
void | BorderBottom (BorderStyle border=LIGHT)
| Draw some separator lines to the bottom side of the selection.
void | Separator (BorderStyle border=LIGHT)
| Draw some separator lines in the selection.
void | SeparatorVertical (BorderStyle border=LIGHT)
| Draw some vertical separator lines in the selection.
void | SeparatorHorizontal (BorderStyle border=LIGHT)
| Draw some horizontal separator lines in the selection.

## Detailed Description

Definition at line 64 of file table.hpp.

## Member Function Documentation

## Decorate()

void Decorate | ( | Decorator | decorator | ) |

Apply the `decorator` to the selection. This decorate both the cells, the lines and the corners.

Parameters

  decorator | The decorator to apply.

Definition at line 242 of file src/ftxui/dom/table.cpp.

## DecorateAlternateRow()

void DecorateAlternateRow | ( | Decorator | decorator,
|  | int | modulo = 2,
|  | int | shift = 0 )

Apply the `decorator` to the selection. This decorate only the lines modulo `modulo` with a shift of `shift`.

Parameters

  decorator | The decorator to apply.
  modulo | The modulo of the lines to decorate.
  shift | The shift of the lines to decorate.

Definition at line 291 of file src/ftxui/dom/table.cpp.

## DecorateAlternateColumn()

void DecorateAlternateColumn | ( | Decorator | decorator,
|  | int | modulo = 2,
|  | int | shift = 0 )

Apply the `decorator` to the selection. This decorate only the lines modulo `modulo` with a shift of `shift`.

Parameters

  decorator | The decorator to apply.
  modulo | The modulo of the lines to decorate.
  shift | The shift of the lines to decorate.

Definition at line 272 of file src/ftxui/dom/table.cpp.

## DecorateCells()

void DecorateCells | ( | Decorator | decorator | ) |

Apply the `decorator` to the selection.

Parameters

  decorator | The decorator to apply. This decorate only the cells.

Definition at line 255 of file src/ftxui/dom/table.cpp.

## DecorateCellsAlternateColumn()

void DecorateCellsAlternateColumn | ( | Decorator | decorator,
|  | int | modulo = 2,
|  | int | shift = 0 )

Apply the `decorator` to the selection. This decorate only the corners modulo `modulo` with a shift of `shift`.

Parameters

  decorator | The decorator to apply.
  modulo | The modulo of the corners to decorate.
  shift | The shift of the corners to decorate.

Definition at line 310 of file src/ftxui/dom/table.cpp.

## DecorateCellsAlternateRow()

void DecorateCellsAlternateRow | ( | Decorator | decorator,
|  | int | modulo = 2,
|  | int | shift = 0 )

Apply the `decorator` to the selection. This decorate only the corners modulo `modulo` with a shift of `shift`.

Parameters

  decorator | The decorator to apply.
  modulo | The modulo of the corners to decorate.
  shift | The shift of the corners to decorate.

Definition at line 329 of file src/ftxui/dom/table.cpp.

## Border()

void Border | ( | BorderStyle | border = LIGHT | ) |

Apply a `border` around the selection.

Parameters

  border | The border style to apply.

Examples
  examples/dom/table.cpp.

Definition at line 344 of file src/ftxui/dom/table.cpp.

## BorderLeft()

void BorderLeft | ( | BorderStyle | border = LIGHT | ) |

Draw some separator lines to the left side of the selection.

Parameters

  border | The border style to apply.

Definition at line 403 of file src/ftxui/dom/table.cpp.

## BorderRight()

void BorderRight | ( | BorderStyle | border = LIGHT | ) |

Draw some separator lines to the right side of the selection.

Parameters

  border | The border style to apply.

Definition at line 412 of file src/ftxui/dom/table.cpp.

## BorderTop()

void BorderTop | ( | BorderStyle | border = LIGHT | ) |

Draw some separator lines to the top side of the selection.

Parameters

  border | The border style to apply.

Definition at line 421 of file src/ftxui/dom/table.cpp.

## BorderBottom()

void BorderBottom | ( | BorderStyle | border = LIGHT | ) |

Draw some separator lines to the bottom side of the selection.

Parameters

  border | The border style to apply.

Definition at line 430 of file src/ftxui/dom/table.cpp.

## Separator()

void Separator | ( | BorderStyle | border = LIGHT | ) |

Draw some separator lines in the selection.

Parameters

  border | The border style to apply.

Definition at line 362 of file src/ftxui/dom/table.cpp.

## SeparatorVertical()

void SeparatorVertical | ( | BorderStyle | border = LIGHT | ) |

Draw some vertical separator lines in the selection.

Parameters

  border | The border style to apply.

Definition at line 377 of file src/ftxui/dom/table.cpp.

## SeparatorHorizontal()

void SeparatorHorizontal | ( | BorderStyle | border = LIGHT | ) |

Draw some horizontal separator lines in the selection.

Parameters

  border | The border style to apply.

Definition at line 390 of file src/ftxui/dom/table.cpp.

The documentation for this class was generated from the following files:

- table.hpp
- src/ftxui/dom/table.cpp